## ettercap 0.8.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(ettercap C)

set(VERSION "0.8.1")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules")
set(CMAKE_SCRIPT_PATH "${CMAKE_SOURCE_DIR}/cmake/Scripts")

include(MacroEnsureOutOfSourceBuild)
macro_ensure_out_of_source_build("${PROJECT_NAME} requires an out of source build. Please create a separate build directory and run 'cmake /path/to/${PROJECT_NAME} [options]' there.")

option(ENABLE_CURSES "Enable curses interface" ON)
option(ENABLE_GTK "Enable GTK interface" ON)
option(ENABLE_PLUGINS "Enable plugins support" ON)
option(ENABLE_IPV6 "Enable IPv6 support" OFF)
option(ENABLE_LUA "Enable LUA support (EXPERIMENTAL)" OFF)
option(ENABLE_PDF_DOCS "Enable PDF document generation" OFF)
option(ENABLE_TESTS "Enable Unit Tests" OFF)
option(LIBRARY_BUILD "Build for libettercap only" OFF)
option(INSTALL_DESKTOP "Install ettercap desktop files" ON)


SET(VALID_BUILD_TYPES Debug Release RelWithDebInfo)

if(NOT CMAKE_BUILD_TYPE)
  # Default to using "Release" as our build type.
  set(CMAKE_BUILD_TYPE "Release" CACHE STRING 
    "Choose the type of build, options are: ${VALID_BUILD_TYPES}." FORCE)
endif()
LIST(FIND VALID_BUILD_TYPES ${CMAKE_BUILD_TYPE} contains_valid)
if(contains_valid EQUAL -1)
  message(FATAL_ERROR "Unknown CMAKE_BUILD_TYPE: '${CMAKE_BUILD_TYPE}'. Valid options are: ${VALID_BUILD_TYPES}") 
endif()
UNSET(contains_valid)

include(CMakeDependentOption)

# If SYSTEM_LIBS is set to off, then all SYSTEM_* options will be
# set to off.
option(SYSTEM_LIBS "Search for a system-provided libraries. This is only used for libraries that we happen to also bundle. Disabling this implies that we would only use bundled libraries." ON)

# If BUNDLED_LIBS is set to off, then all BUNDLED_* options will be
# set to off.
option(BUNDLED_LIBS
  "Use bundled libraries if system provided versions are not found (or disabled)" ON)

CMAKE_DEPENDENT_OPTION(SYSTEM_CURL 
  "Search for a system-provided version of Curl" ON
  SYSTEM_LIBS OFF)

CMAKE_DEPENDENT_OPTION(BUNDLED_CURL 
  "Use bundled version of Curl if system-provided version is not found (or disabled)" ON
  BUNDLED_LIBS OFF)

CMAKE_DEPENDENT_OPTION(SYSTEM_LIBNET 
  "Search for a system-provided version of LIBNET" ON
  SYSTEM_LIBS OFF)

CMAKE_DEPENDENT_OPTION(BUNDLED_LIBNET 
  "Use bundled version of LIBNET if system-provided version is not found (or disabled)" ON
  BUNDLED_LIBS OFF)

CMAKE_DEPENDENT_OPTION(SYSTEM_LUAJIT
  "Search for a system-provided version of LUAJIT" ON
  "SYSTEM_LIBS;ENABLE_LUA" OFF)

CMAKE_DEPENDENT_OPTION(BUNDLED_LUAJIT
  "Use bundled version of LUAJIT if system-provided version is not found (or disabled)" ON
  "BUNDLED_LIBS;ENABLE_LUA" OFF)

if(ENABLE_TESTS)
CMAKE_DEPENDENT_OPTION(SYSTEM_LIBCHECK
  "Search for a system-provided version of LIBCHECK" ON
  SYSTEM_LIBS OFF)

CMAKE_DEPENDENT_OPTION(BUNDLED_LIBCHECK
  "Use bundled version of LIBCHECK if system-provided version is not found (or disabled)" ON
  BUNDLED_LIBS OFF)
endif(ENABLE_TESTS)

set(SPECIAL_LIB_DIR "" CACHE PATH "Special (non-traditional) root directory where headers/libraries are installed")

include(CheckVariableInHeaders)
include(EttercapOSTest)

#Check and see if we're running Darwin, specify the CMAKE_LIBARY_PATH to do so
if(OS_DARWIN)
	set(CMAKE_SYSTEM_NAME Darwin)
	set(CMAKE_LIBRARY_PATH ${SPECIAL_LIB_DIR}/lib ${CMAKE_LIBRARY_PATH})
	set(CMAKE_INCLUDE_PATH ${SPECIAL_LIB_DIR}/include ${CMAKE_INCLUDE_PATH})
else(OS_DARWIN)
	set(CMAKE_LIBRARY_PATH ${CMAKE_LIBRARY_PATH} /usr/lib64 /usr/lib32)
endif(OS_DARWIN)

if (LIBRARY_BUILD)
	set(ENABLE_GTK OFF)
	set(ENABLE_CURSES OFF)
	set(JUST_LIBRARY 1)
endif(LIBRARY_BUILD)

include(EttercapHeadersCheck)
include(EttercapLibCheck)
include(EttercapVariableCheck)

set(INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "Installation prefix")
set(INSTALL_SYSCONFDIR /etc CACHE PATH "System configuration directory")
set(INSTALL_LIBDIR ${INSTALL_PREFIX}/lib${LIB_SUFFIX} CACHE PATH "Library installation directory")
set(INSTALL_DATADIR ${INSTALL_PREFIX}/share CACHE PATH "Data installation directory")
set(INSTALL_EXECPREFIX ${INSTALL_PREFIX} CACHE PATH "")
set(INSTALL_BINDIR  ${INSTALL_PREFIX}/bin CACHE PATH "Binary files installation directory")
if(OS_DARWIN OR OS_WINDOWS)
   set(POLKIT_DIR ${INSTALL_PREFIX}/share/polkit-1/actions/ CACHE PATH "Polkit installation directory")
else(OS_DARWIN OR OS_WINDOWS)
#at least on ubuntu, polkit dir couldn't be /usr/local/share, but should be /usr/share
   set(POLKIT_DIR /usr/share/polkit-1/actions/ CACHE PATH "Polkit installation directory")
endif(OS_DARWIN OR OS_WINDOWS)
set(PKEXEC_INSTALL_WRAPPER org.pkexec.ettercap CACHE PATH "Name of the pkexec action file")
set(DESKTOP_DIR ${INSTALL_PREFIX}/share/applications/ CACHE PATH "Desktop file installation directory")
set(APPDATA_DIR ${INSTALL_PREFIX}/share/appdata/ CACHE PATH "Appdata file installation directory")
set(ICON_DIR ${INSTALL_PREFIX}/share/pixmaps CACHE PATH "Icon file installation directory")
set(MAN_INSTALLDIR ${INSTALL_PREFIX}/share/man CACHE PATH "Path for manual pages") 

if(NOT DISABLE_RPATH)
  # Ensure that, when we link to stuff outside of our build path, we include the
  # library dir path in our RPATH.
  set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
endif(NOT DISABLE_RPATH)
set(CMAKE_C_FLAGS_DEBUG "-O0 -ggdb3 -DDEBUG -Wall -Wno-pointer-sign -pg -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Werror=format-security -Wextra -Wredundant-decls" CACHE STRING "" FORCE)
set(CMAKE_C_FLAGS_RELEASE "-O2 -w -D_FORTIFY_SOURCE=2" CACHE STRING "" FORCE)

if(OS_DARWIN)
set(CMAKE_EXE_LINKER_FLAGS "-Wl" CACHE STRING "" FORCE)
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "-Wl -pg" CACHE STRING "" FORCE)
set(CMAKE_MODULE_LINKER_FLAGS "-Wl" CACHE STRING "" FORCE)
else(OS_DARWIN)
set(CMAKE_EXE_LINKER_FLAGS_DEBUG "-pg" CACHE STRING "" FORCE)
endif(OS_DARWIN)

if(ENABLE_LUA)
  include(EttercapLuajit)
  set(HAVE_EC_LUA 1)
endif(ENABLE_LUA)

set(EC_INCLUDE_PATH ${CMAKE_CURRENT_BINARY_DIR}/include ${CMAKE_SOURCE_DIR}/include ${EC_INCLUDE})
include_directories(${EC_INCLUDE_PATH})

add_subdirectory(src)
add_subdirectory(desktop)

if(HAVE_PLUGINS)
    if(OS_MINGW)
        message("Sorry, plugins support on Windows is currently unavailable")
    else(OS_MINGW)
        add_subdirectory(plug-ins)
    endif(OS_MINGW)
endif(HAVE_PLUGINS)
add_subdirectory(utils)
add_subdirectory(share)
add_subdirectory(man)

if(ENABLE_IPV6)
    set(WITH_IPV6 TRUE)
endif(ENABLE_IPV6)

# This line should ALWAYS be after all options are defined
configure_file(include/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/include/config.h)

if(ENABLE_TESTS)
  enable_testing()
  add_subdirectory(tests)
endif(ENABLE_TESTS)

# uninstall target
configure_file(
    "${CMAKE_SCRIPT_PATH}/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

# Add a target that will ensure that the build directory is properly cleaned.
add_custom_target(clean-all
  COMMAND ${CMAKE_BUILD_TOOL} clean
  COMMAND ${CMAKE_COMMAND} -P ${CMAKE_SCRIPT_PATH}/clean-all.cmake
)

# If we notice that this isn't the first time they've run 
if(NOT ("${CMAKE_CACHEFILE_DIR}" STREQUAL ""))
  message("")
  message("HAVING TROUBLE BUILDING ETTERCAP? ")
  message("")
  message("  1. Install any missing dependencies")
  message("  2. run 'make clean-all'")
  message("  3. run 'cmake ${CMAKE_SOURCE_DIR}'")
  message("")
endif(NOT ("${CMAKE_CACHEFILE_DIR}" STREQUAL ""))

=== plug-ins/CMakeLists.txt ===
if(HAVE_PCRE)
    if(CURL_FOUND)
	add_library(sslstrip MODULE sslstrip/sslstrip.c)
        include_directories(${CURL_INCLUDE_DIR} ${PCRE_INCLUDE_DIR})
        add_dependencies(sslstrip curl)
        target_link_libraries(sslstrip ${CURL_LIBRARY} ${PCRE_LIBRARY})
        target_link_libraries(sslstrip lib_ettercap)
        set_target_properties(sslstrip PROPERTIES PREFIX "ec_")
        install(TARGETS sslstrip
        LIBRARY DESTINATION ${INSTALL_LIBDIR}/ettercap/
        PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
                    GROUP_READ GROUP_EXECUTE
                    WORLD_READ WORLD_EXECUTE)

    else(CURL_FOUND)
        message(STATUS "Not building sslstrip plugin. Requires libcurl.")
    endif(CURL_FOUND)
else(HAVE_PCRE)
    message(STATUS "Not building sslstrip plugin. Requires pcre.")
endif(HAVE_PCRE)

set(PLUGINS arp_cop
autoadd
chk_poison
dns_spoof
mdns_spoof
dos_attack
dummy
find_conn
find_ettercap
find_ip
finger
finger_submit
fraggle_attack
gre_relay
gw_discover
isolate
link_type
nbns_spoof
pptp_chapms1
pptp_clear
pptp_pap
pptp_reneg
rand_flood
remote_browser
reply_arp
repoison_arp
scan_poisoner
search_promisc
smb_clear
smb_down
smurf_attack
stp_mangler)

foreach(plugin ${PLUGINS})
	add_library(${plugin} MODULE ${plugin}/${plugin}.c)
	set_target_properties(${plugin} PROPERTIES PREFIX "ec_")
	target_link_libraries(${plugin} lib_ettercap)
	install(TARGETS ${plugin}
        LIBRARY DESTINATION ${INSTALL_LIBDIR}/ettercap/
        PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
                    GROUP_READ GROUP_EXECUTE
                    WORLD_READ WORLD_EXECUTE)
endforeach(plugin)
target_link_libraries(dns_spoof ${HAVE_RESOLV})
target_link_libraries(mdns_spoof ${HAVE_RESOLV})
target_link_libraries(dos_attack ${HAVE_LIBNET})

=== src/CMakeLists.txt ===
set(EC_SRC
	ec_mem.c
        ec_capture.c
        ec_checksum.c
        ec_conf.c
        ec_connbuf.c
        ec_conntrack.c
        ec_debug.c
        ec_decode.c
        ec_dispatcher.c
        ec_dissect.c
        ec_encryption_ccmp.c
        ec_encryption_tkip.c
        ec_encryption.c
        ec_error.c
        ec_exit.c
        ec_file.c
        ec_filter.c
        ec_fingerprint.c
        ec_format.c
        ec_globals.c
        ec_hash.c
        ec_hook.c
        ec_inet.c
        ec_inject.c
        ec_log.c
        ec_manuf.c
        ec_mitm.c
        ec_network.c
        ec_packet.c
        ec_passive.c
        ec_plugins.c
        ec_poll.c
        ec_profiles.c
        ec_resolv.c
        ec_scan.c
        ec_send.c
        ec_services.c
        ec_session.c
        ec_set.c
        ec_signals.c
        ec_sleep.c
        ec_sniff_bridge.c
        ec_sniff.c
        ec_sniff_unified.c
        ec_socket.c
        ec_sslwrap.c
        ec_stats.c
        ec_streambuf.c
        ec_strings.c
        ec_threads.c
        ec_ui.c
        ec_utils.c

        dissectors/ec_bgp.c
        dissectors/ec_cvs.c
        dissectors/ec_dhcp.c
        dissectors/ec_ftp.c
        dissectors/ec_gg.c
        dissectors/ec_http.c
        dissectors/ec_icq.c
        dissectors/ec_imap.c
        dissectors/ec_irc.c
        dissectors/ec_iscsi.c
        dissectors/ec_ldap.c
        dissectors/ec_mdns.c
        dissectors/ec_mongodb.c
        dissectors/ec_mountd.c
        dissectors/ec_msn.c
        dissectors/ec_mysql.c
        dissectors/ec_nbns.c
        dissectors/ec_nntp.c
        dissectors/ec_o5logon.c
        dissectors/ec_ospf.c
        dissectors/ec_pop.c
        dissectors/ec_postgresql.c
        dissectors/ec_portmap.c
        dissectors/ec_radius.c
        dissectors/ec_rcon.c
        dissectors/ec_rip.c
        dissectors/ec_rlogin.c
        dissectors/ec_smb.c
        dissectors/ec_smtp.c
        dissectors/ec_snmp.c
        dissectors/ec_socks.c
        dissectors/ec_ssh.c
        dissectors/ec_telnet.c
        dissectors/ec_TN3270.c
        dissectors/ec_vnc.c
        dissectors/ec_vrrp.c
        dissectors/ec_x11.c
        dissectors/ec_ymsg.c

        mitm/ec_arp_poisoning.c
        mitm/ec_dhcp_spoofing.c
        mitm/ec_icmp_redirect.c
        mitm/ec_port_stealing.c

        protocols/ec_arp.c
        protocols/ec_cooked.c
        protocols/ec_erf.c
        protocols/ec_eth.c
        protocols/ec_fddi.c
        protocols/ec_gre.c
        protocols/ec_esp.c
        protocols/ec_icmp.c
        protocols/ec_ip.c
        protocols/ec_mpls.c
        protocols/ec_null.c
        protocols/ec_ppi.c
        protocols/ec_ppp.c
        protocols/ec_pppoe.c
        protocols/ec_rawip.c
        protocols/ec_tcp.c
        protocols/ec_tr.c
        protocols/ec_udp.c
        protocols/ec_vlan.c
        protocols/ec_wifi.c
        protocols/ec_wifi_eapol.c
        protocols/ec_wifi_prism.c
        protocols/ec_wifi_radiotap.c
)


if(ENABLE_IPV6)
    set(EC_SRC ${EC_SRC} protocols/ec_icmp6.c protocols/ec_ip6.c mitm/ec_ip6nd_poison.c)
endif(ENABLE_IPV6)

if(HAVE_DN_EXPAND)
    set(EC_SRC ${EC_SRC} dissectors/ec_dns.c)
endif(HAVE_DN_EXPAND)

if(OS_LINUX)
    set(EC_SRC ${EC_SRC} os/ec_linux.c)
elseif(OS_BSD)
    set(EC_SRC ${EC_SRC} os/ec_bsd.c)
elseif(OS_DARWIN)
    set(EC_SRC ${EC_SRC} os/ec_darwin.c)
elseif(OS_MINGW)
    set(EC_SRC ${EC_SRC} os/ec_mingw.c)
elseif(OS_SOLARIS)
    set(EC_SRC ${EC_SRC} os/ec_solaris.c)
elseif(OS_GNU)
    set(EC_SRC ${EC_SRC} os/ec_gnu.c)
endif()

if(NOT HAVE_STRLCAT AND NOT HAVE_STRLCAT_FUNCTION)
    set(EC_SRC ${EC_SRC} missing/strlcat.c)
endif(NOT HAVE_STRLCAT AND NOT HAVE_STRLCAT_FUNCTION)
if(NOT HAVE_STRLCPY AND NOT HAVE_STRLCPY_FUNCTION)
    set(EC_SRC ${EC_SRC} missing/strlcpy.c)
endif(NOT HAVE_STRLCPY AND NOT HAVE_STRLCPY_FUNCTION)
if(NOT HAVE_STRSEP)
    set(EC_SRC ${EC_SRC} missing/strsep.c)
endif(NOT HAVE_STRSEP)
if(NOT HAVE_STRCASESTR)
    set(EC_SRC ${EC_SRC} missing/strcasestr.c)
endif(NOT HAVE_STRCASESTR)
if(NOT HAVE_MEMMEM)
    set(EC_SRC ${EC_SRC} missing/memmem.c)
endif(NOT HAVE_MEMMEM)
if(NOT HAVE_BASENAME)
    set(EC_SRC ${EC_SRC} missing/basename.c)
endif(NOT HAVE_BASENAME)
if(NOT HAVE_STRNDUP)
    set(EC_SRC ${EC_SRC} missing/strndup.c)
endif(NOT HAVE_STRNDUP)
if(NOT HAVE_INET_ATON)
    set(EC_SRC ${EC_SRC} missing/inet_aton.c)
endif(NOT HAVE_INET_ATON)
if(NOT HAVE_GETOPT_LONG)
    set(EC_SRC ${EC_SRC} missing/getopt.c)
endif(NOT HAVE_GETOPT_LONG)

add_library(lib_ettercap SHARED ${EC_SRC})
add_dependencies(lib_ettercap libnet)
target_link_libraries(lib_ettercap ${EC_LIBETTERCAP_LIBS})

# Only compile lua stuff if lua is enabled!
IF(ENABLE_LUA)
  add_subdirectory(lua)
  target_link_libraries(lib_ettercap ec_lua ${LUAJIT_LIBRARY})
  if(OS_DARWIN AND (CMAKE_SIZEOF_VOID_P EQUAL 8))
    # On 64-bit OSX platforms, luajit requires the following flags to be added.
    # See: http://luajit.org/install.html
    get_target_property(OLD_FLAGS ettercap LINK_FLAGS)
    if(OLD_FLAGS STREQUAL "OLD_FLAGS-NOTFOUND")
      set(OLD_FLAGS "")
    endif()
    set(NEW_FLAGS "${OLD_FLAGS} -pagezero_size 10000 -image_base 100000000")
    SET_TARGET_PROPERTIES(ettercap PROPERTIES LINK_FLAGS "${NEW_FLAGS}")
  endif()
endif(ENABLE_LUA)

#if(NOT LIBRARY_BUILD)
	#target_link_libraries(lib_ettercap ec_interfaces ${EC_LIBS})
#else(NOT LIBRARY_BUILD)
	#target_link_libraries(lib_ettercap ${EC_LIBS})
#endif(NOT LIBRARY_BUILD)

set_target_properties(lib_ettercap PROPERTIES 
  ENABLE_EXPORTS On
  #  LINK_INTERFACE_LIBRARIES ""
  OUTPUT_NAME ettercap
  VERSION 0.0.0
  SOVERSION 0
  )

if (NOT LIBRARY_BUILD)
  add_subdirectory(interfaces)
  include_directories( interfaces/daemon interfaces/text )
  if (ENABLE_CURSES)
    include_directories( interfaces/curses interfaces/curses/widgets )
  endif (ENABLE_CURSES)
  if (ENABLE_GTK)
    include_directories( interfaces/gtk )
  endif(ENABLE_GTK)
  add_executable(ettercap ec_parser.c ec_main.c)
  target_link_libraries(ettercap ec_interfaces lib_ettercap ${EC_LIBS})
  if(NOT DISABLE_RPATH)
    set_target_properties(ettercap PROPERTIES
    INSTALL_RPATH ${INSTALL_LIBDIR})
  endif(NOT DISABLE_RPATH)
endif(NOT LIBRARY_BUILD)

install(TARGETS lib_ettercap DESTINATION ${INSTALL_LIBDIR})
if(NOT LIBRARY_BUILD)
  install(TARGETS ettercap DESTINATION ${INSTALL_BINDIR})
endif(NOT LIBRARY_BUILD)

=== tests/CMakeLists.txt ===

include_directories(. ../include ${LIBCHECK_INCLUDE_DIRS})

add_custom_target(test_verbose COMMAND ${CMAKE_CTEST_COMMAND} -V)

# Adds a test by name
macro(_t NAME)
  add_executable(test_${NAME} test_${NAME}.c)
  add_dependencies(test_${NAME} bundled_check)
  target_link_libraries(test_${NAME} lib_ettercap ec_interfaces ${LIBCHECK_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${LIBCHECK_LDFLAGS})
  add_test(test_${NAME} ${CMAKE_CURRENT_BINARY_DIR}/test_${NAME})
endmacro(_t NAME)

_t(ec_decode)

=== debian/changelog ===
ettercap (1:0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove bundled_deps directory, useless and some
    luajit files are non dfsg.
  * Update watch file.
  * Update copyright file, order matters.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 15 Oct 2014 14:00:15 +0200

ettercap (1:0.8.0+git20141002-2) unstable; urgency=medium

  * Update copyright file.
  * Revert silence lintian tag conflicts-with-version.
    (Closes: #763803)
  * wrap-and-sort the debian directory.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Thu, 02 Oct 2014 16:38:45 +0200

ettercap (1:0.8.0+git20141002-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream snapshot
    - fixed hurd build failure.
    - fix ldflags preventing relro from being passed correctly
    - fix some gtk stuff
  * Update overrides and rules file.

  [ Barak A. Pearlmutter ]
  * bump policy version
  * silence lintian tag conflicts-with-version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 02 Oct 2014 13:09:52 +0100

ettercap (1:0.8.0+git20140910-1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Add appdata file
  * New rc release. (Closes: #690158)

  [ Barak A. Pearlmutter ]
  * rename upstream point release using + instead of ~
  * Single debian patch source option

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 14 Sep 2014 11:53:26 +0100

ettercap (1:0.8.0-14) unstable; urgency=medium

  * Cherry-pick cf90ed9 to fix test suite failures with ubuntu
    -Bsymbolic-functions flag. A big thanks to RAOF for the help.
  * d/control: add some missing lua archs from debian/ports
    !alpha !arm64 !hppa !m68k !ppc64 !sh4 !sparc64 !x32

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Mon, 05 May 2014 11:54:19 +0200

ettercap (1:0.8.0-13) unstable; urgency=medium

  * Removed unused old b-d
  * Add check as b-d
  * Add sparc to unsupported lua archs
  * Add tests
  * mv lua to share/ettercap

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 02 May 2014 00:31:55 +0200

ettercap (1:0.8.0-12) unstable; urgency=medium

  * Enabling lua for supported architectures

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Wed, 30 Apr 2014 16:47:27 +0200

=== debian/control ===
Source: ettercap
Section: net
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Uploaders: Murat Demirten <murat@debian.org>,
           Gianfranco Costamagna <costamagnagianfranco@yahoo.it>
Build-Depends: bison | bison++ | byacc | byacc-j | btyacc,
               check,
               chrpath,
               cmake,
               debhelper (>= 9),
               flex,
               ghostscript,
               libbsd-dev,
               libcurl4-openssl-dev,
               libgtk2.0-dev,
               libltdl-dev,
               libluajit-5.1-dev [!hurd-i386 !kfreebsd-amd64 !s390x !arm64 !ppc64el !sparc !alpha !arm64 !hppa !m68k !ppc64 !sh4 !sparc64 !x32],
               libncurses5-dev,
               libnet1-dev,
               libpcap-dev,
               libpcre3-dev,
               libssl-dev
Standards-Version: 3.9.6
Homepage: http://ettercap.sourceforge.net
Vcs-Git: git://github.com/barak/ettercap.git
Vcs-Browser: http://github.com/barak/ettercap

Package: ettercap-common
Architecture: any
Depends: ethtool [linux-any], ${misc:Depends}, ${shlibs:Depends}
Recommends: ettercap-graphical | ettercap-text-only
Replaces: ettercap-plugins
Conflicts: ettercap (<= 1:0.7.3), ettercap-plugins
Description: Multipurpose sniffer/interceptor/logger for switched LAN
 Ettercap supports active and passive dissection of many protocols
 (even encrypted ones) and includes many feature for network and host
 analysis.
 .
 Data injection in an established connection and filtering (substitute
 or drop a packet) on the fly is also possible, keeping the connection
 synchronized.
 .
 Many sniffing modes are implemented, for a powerful and complete
 sniffing suite. It is possible to sniff in four modes: IP Based, MAC Based,
 ARP Based (full-duplex) and PublicARP Based (half-duplex).
 .
 Ettercap also has the ability to detect a switched LAN, and to use OS
 fingerprints (active or passive) to find the geometry of the LAN.
 .
 This package contains the Common support files, configuration files,
 plugins, and documentation.  You must also install either
 ettercap-graphical or ettercap-text-only for the actual GUI-enabled
 or text-only ettercap executable, respectively.

Package: ettercap-text-only
Architecture: any
Depends: ettercap-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: ettercap, ettercap-graphical, ettercap-gtk
Conflicts: ettercap (<= 1:0.7.3), ettercap-graphical, ettercap-gtk
Provides: ettercap
Description: Ettercap console-mode executable
 Ettercap supports active and passive dissection of many protocols
 (even encrypted ones) and includes many feature for network and host
 analysis.
 .
 Data injection in an established connection and filtering (substitute
 or drop a packet) on the fly is also possible, keeping the connection
 synchronized.
 .
 Many sniffing modes are implemented, for a powerful and complete
 sniffing suite. It is possible to sniff in four modes: IP Based, MAC Based,
 ARP Based (full-duplex) and PublicARP Based (half-duplex).
 .
 Ettercap also has the ability to detect a switched LAN, and to use OS
 fingerprints (active or passive) to find the geometry of the LAN.
 .
 This package contains the ettercap text-mode-only executable.

Package: ettercap-graphical
Architecture: any
Depends: ettercap-common (= ${binary:Version}),
         policykit-1,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: ettercap, ettercap-common, ettercap-gtk, ettercap-text-only
Conflicts: ettercap (<= 1:0.7.3), ettercap-gtk, ettercap-text-only
Provides: ettercap
Recommends: gksu
Description: Ettercap GUI-enabled executable
 Ettercap supports active and passive dissection of many protocols
 (even encrypted ones) and includes many feature for network and host
 analysis.
 .
 Data injection in an established connection and filtering (substitute
 or drop a packet) on the fly is also possible, keeping the connection
 synchronized.
 .
 Many sniffing modes are implemented, for a powerful and complete
 sniffing suite. It is possible to sniff in four modes: IP Based, MAC Based,
 ARP Based (full-duplex) and PublicARP Based (half-duplex).
 .
 Ettercap also has the ability to detect a switched LAN, and to use OS
 fingerprints (active or passive) to find the geometry of the LAN.
 .
 This package contains the ettercap GUI-enabled executable.

Package: ettercap-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ettercap-common (= ${binary:Version}),
         ettercap-graphical (= ${binary:Version}) | ettercap-text-only (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Debug symbols for Ettercap
 Ettercap runtime debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

LIBNET_VER := $(shell dpkg --status libnet1-dev | awk '/^Version:/ {print $$2}')

ENABLE_IPV6 := $(shell \
 if dpkg --compare-versions $(LIBNET_VER) ge 1.1.6; \
 then echo ON; \
 else echo OFF; \
 fi)

ENABLE_LUA := $(shell \
 if pkg-config luajit; \
 then echo ON; \
 else echo OFF; \
 fi)

override_dh_auto_clean:
	-rm -rf obj-graphical obj-text-only

ETTERCAP_OPTIONS= \
 -DENABLE_IPV6=$(ENABLE_IPV6) \
 -DBUNDLED_LIBS=OFF \
 -DENABLE_LUA=$(ENABLE_LUA) \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DENABLE_TESTS=ON \
 -DDISABLE_RPATH=ON \
 -DNO_INSTALL_LICENSE=ON

override_dh_auto_configure:
	@echo LIBNET_VER = $(LIBNET_VER)
	@echo ENABLE_IPV6 = $(ENABLE_IPV6)
	@echo ENABLE_LUA = $(ENABLE_LUA)
	dh_auto_configure --parallel --builddirectory=obj-text-only -- $(ETTERCAP_OPTIONS) -DENABLE_GTK=OFF
	dh_auto_configure --parallel --builddirectory=obj-graphical -- $(ETTERCAP_OPTIONS) -DENABLE_GTK=ON

override_dh_auto_build: override_dh_auto_build-text-only
override_dh_auto_build: override_dh_auto_build-graphical

override_dh_auto_build-text-only: ; dh_auto_build --parallel --builddirectory=obj-text-only
override_dh_auto_build-graphical: ; dh_auto_build --parallel --builddirectory=obj-graphical

override_dh_auto_test: override_dh_auto_test-text-only
override_dh_auto_test: override_dh_auto_test-graphical

override_dh_auto_test-text-only: ; dh_auto_test --parallel --builddirectory=obj-text-only
override_dh_auto_test-graphical: ; dh_auto_test --parallel --builddirectory=obj-graphical

override_dh_auto_install:
	dh_auto_install --parallel --builddirectory=obj-graphical
#	dh_auto_install --parallel --builddirectory=obj-text-only

override_dh_install:
	dh_install --list-missing
	@echo The ettercap-pkexec man page belongs in ettercap-graphical
	-rm --verbose debian/ettercap-common/usr/share/man/man*/ettercap-pkexec*
	@echo "Upstream does not set RPATH, but the file is not handled by cmake install (dh_auto_install target)"
	chrpath --list   debian/ettercap-text-only/usr/bin/ettercap
	chrpath --delete debian/ettercap-text-only/usr/bin/ettercap

override_dh_installdocs:
	dh_installdocs -pettercap-common
	dh_installdocs -Nettercap-common --link-doc=ettercap-common

override_dh_strip:
	dh_strip --dbg-package=ettercap-dbg
